[arch-commits] Commit in boost/trunk (PKGBUILD)

Ionut Biru ibiru at archlinux.org
Thu Mar 18 14:05:20 CET 2010


    Date: Thursday, March 18, 2010 @ 09:05:20
  Author: ibiru
Revision: 72545

upgpkg: boost 1.41.0-1
downgrade boost

Modified:
  boost/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-18 12:17:26 UTC (rev 72544)
+++ PKGBUILD	2010-03-18 13:05:20 UTC (rev 72545)
@@ -5,8 +5,8 @@
 # Contributor: Luca Roccia <little_rock at users.sourceforge.net>
  
 pkgname=boost
-pkgver=1.42.0
-_boostver=1_42_0
+pkgver=1.41.0
+_boostver=1_41_0
 pkgrel=1
 pkgdesc="Free peer-reviewed portable C++ source libraries"
 arch=('i686' 'x86_64')
@@ -14,13 +14,16 @@
 depends=('bzip2' 'zlib')
 makedepends=('python>=2.6')
 optdepends=('python: for python bindings')
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}_${_boostver}.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}_${_boostver}.tar.gz
+	fix-gzip-crc.patch
+	serialization_fix.patch)
 license=('custom')
-options=(!ccache)
-md5sums=('f822f01dc4eb00f5af000cf633961a23')
+options=('!ccache' 'force')
 
 build() {
   cd "${srcdir}/${pkgname}_${_boostver}"
+  patch -Np1 -i $srcdir/fix-gzip-crc.patch || return 1
+  patch -Np1 -i $srcdir/serialization_fix.patch || return 1
 
   # build bjam
   cd ${srcdir}/${pkgname}_${_boostver}/tools/jam/src
@@ -31,7 +34,7 @@
 
   install -m755 -d ${pkgdir}/usr/bin
   install -m755 ${_bindir}/bjam ${pkgdir}/usr/bin/bjam || return 1
- 
+
   # build bcp
   cd ${srcdir}/${pkgname}_${_boostver}/tools/bcp
   ../jam/src/${_bindir}/bjam || return 1
@@ -65,3 +68,6 @@
   install -m644 ${srcdir}/${pkgname}_${_boostver}/LICENSE_1_0.txt \
                 ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
+md5sums=('ddb04c9b9164a36a91dcf36819666dd9'
+         '682f124a765b2935c7352f38c08848cc'
+         '01337211d40a4a4c9b83c481baade701')



More information about the arch-commits mailing list